Bug 508619 - Can't set the Compose key in GNOME Keyboard preferences
Can't set the Compose key in GNOME Keyboard preferences
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 02:39 EDT by Hubert Figuiere
Modified: 2014-09-22 07:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:21:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the output of "xkbcomp -xkb :0 -" (53.69 KB, text/plain)
2009-07-25 16:09 EDT, Hubert Figuiere
no flags Details

  None (edit)
Description Hubert Figuiere 2009-06-29 02:39:41 EDT
This has worked before (on other distros, including with GNOME 2.26), but doesn't in F11. I can't set the Compose key in GNOME Keyboard preferences.

It is a no-op if I set Compose to be Right Alt (or actually any other).


If I use "setxkbmap -option compose:ralt" it does work. But that defeat the purpose of the control-center.

Let me know if you need more information to help debugging the problem.
Comment 1 Peter Hutterer 2009-07-09 18:31:07 EDT
do you notice any differences in the output of "xkbcomp -xkb :0 -" before and after setting it?
can you attach both (or just one if they're the same anyway) just in case?
Comment 2 Hubert Figuiere 2009-07-25 16:08:35 EDT
It was set on startup. I unset it, no difference (I did diff the output)

Will attache the output.
Comment 3 Hubert Figuiere 2009-07-25 16:09:43 EDT
Created attachment 355158 [details]
the output of "xkbcomp -xkb :0 -"
Comment 4 Hubert Figuiere 2009-07-25 16:11:01 EDT
After doing "setxkbmap -option compose:ralt" there IS a difference.
Comment 5 Bug Zapper 2010-04-27 11:20:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Peter Hutterer 2010-04-27 21:17:20 EDT
urg, this one fell through the cracks.

just checked with my F-12 running here - works for me. Do you still notice this, Hubert?
Comment 7 Bug Zapper 2010-06-28 09:21:59 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.